import {$on} from '../../shared'
import {useFile} from './handlers'
import {store} from './store'
import {toast} from "../widgets/UiToastController.ts";

// 接收上传任务的信息同步命令
$on("task", "sync", (task: Task): void => {
  const old = store.tasks.find((t) => t.id === task.id);
  if (old == null) {
    store.tasks.push(task);
  } else {
    Object.assign(old, task);
  }
});

// 接收上传任务的删除命令
$on("task", "delete", (deletes: Array<TaskId>): void => {
  for (const id of deletes) {
    const i = store.tasks.findIndex((t) => t.id === id);
    i > -1 && store.tasks.splice(i, 1);
  }
});

$on('file', 'create', useFile)
$on('file', 'update', useFile)

let online = false

$on('app', 'status', (status) => {
  if (status === 'online' && !online) {
    online = true
  } else if (status === 'offline' && online) {
    online = false
    toast('warn', '后台不在线，上传文件无法同步显示')
  }
})

export {}
