import { reactive } from 'vue'

interface DirectoryNamingOptions {
  pid?: number
  id?: number
  action: 'create' | 'rename'
}

interface DirectoryNamingState extends DirectoryNamingOptions {
  visible: boolean
}

export const controller = reactive<DirectoryNamingState>({
  visible: false,
  pid: undefined,
  id: undefined,
  action: 'create',
})

export function hideDirectoryNaming() {
  controller.visible = false
}

export function showDirectoryNaming(opts: DirectoryNamingOptions): void {
  controller.visible = true
  controller.action = opts.action
  controller.pid = opts.pid
  controller.id = opts.id
}
