import { reactive } from 'vue'

interface FileNamingOptions {
  dirId?: number
  id?: number
}

interface FileNamingState extends FileNamingOptions {
  visible: boolean
}

export const controller = reactive<FileNamingState>({
  visible: false,
  dirId: undefined,
  id: undefined,
})

export function hideFileNaming(): void {
  controller.visible = false
}

export function showFileNaming(opts: Required<FileNamingOptions>): void {
  Object.assign(controller, opts)
  controller.visible = true
}
