import {coerce} from "../../shared";
import {ref} from "vue";

export type ToastType = "success" | "error" | "warn" | "info";

export interface Toast {
  key: number;
  type: ToastType;
  message: string;
  duration: number
}

export const items = ref<Array<Toast>>([]);

let nextKey = 0;

export function toast(type: ToastType, message: any, duration: number = 3000): void {
  items.value.unshift({
    key: ++nextKey,
    type,
    message: String(coerce(message)),
    duration
  });
}
