const statuses: Array<TaskStatus> = [
  "initial", // 任务刚刚创建
  "reading", // 正在读取文件内容
  "readend", // 文件内容读取完成
  "queuing", // 已经将任务添加到上传队列中
  "uploading", // 正在上传任务文件
  "uploaded", // 任务文件上传完成
  "completed",
  "failed", // 任务上传失败，比如网络原因，可恢复
  "aborted", // 上传任务被用户中止，可恢复
];

export function statusIndex(status: TaskStatus): number {
  return statuses.indexOf(status);
}

export function isValid(task: { status: TaskStatus }): boolean {
  return statusIndex(task.status) < statusIndex("completed");
}

export function isInvalid(task: { status: TaskStatus }): boolean {
  return statusIndex(task.status) > statusIndex("completed");
}

// export function isUploaded(task: { status: TaskStatus }): boolean {
//   return task.status === "uploaded";
// }

export function isCompleted(task: { status: TaskStatus }): boolean {
  return task.status === "completed";
}

export function isSameTask(t1: Task, t2: Task): boolean {
  return t1.dirid === t2.dirid && t1.name === t2.name;
}
