export function timestamp(time: string): number {
  return new Date(time).getTime();
}

// 将Date()对象转成YYYY-MM-DD HH:MM:SS格式
export function formatDate(time?: string): string {
  if (!time) return ""
  const v = new Date(time)
  const year = v.getFullYear()
  const month = v.getMonth() + 1 < 10 ? `0${v.getMonth() + 1}` : v.getMonth()
  const day = v.getDate() + 1 < 10 ? `0${v.getDate() + 1}` : v.getDate()
  const hour = v.getHours() < 10 ? `0${v.getHours()}` : v.getHours()
  const minute = v.getMinutes() < 10 ? `0${v.getMinutes()}` : v.getMinutes()
  const second = v.getSeconds() < 10 ? `0${v.getSeconds()}` : v.getSeconds()
  return `${year}年${month}月${day}日 ${hour}:${minute}:${second}`
}
