export interface Page {
  forward: boolean
  ellipsis: boolean
  value: string | number
}

export function paginate(current: number, total: number) {
  let min = current - 2
  let max = current + 2
  while (max > total) {
    max--
    min--
  }
  if (min < 1) {
    min = 1
  }
  const pages: any[] = []
  for (let i = min; i <= max; i++) {
    pages.push(i)
  }
  const first = pages[0]
  if (first === 2) {
    pages.unshift(1)
  } else if (first > 1) {
    pages.unshift(1, "backward")
  }
  const last = pages[pages.length - 1]
  if (last + 1 === total) {
    pages.push(total)
  } else if (last < total) {
    pages.push("forward", total)
  }
  return pages.map<Page>(value => {
    const ellipsis = typeof value !== "number"
    const forward = value === "forward"
    return {ellipsis, forward, value}
  })
}
