import containerQueries from "@tailwindcss/container-queries";
import forms from "@tailwindcss/forms";

/** @type {import('tailwindcss').Config} */
export default {
  content: ["./**/*.{js,jsx,ts,tsx,vue}"],
  darkMode: 'class',
  theme: {
    extend: {
      animation: {
        wiggle: "wiggle 1s ease-in-out infinite",
        marquee: "marquee 1.2s ease-out infinite",
        'spin-slow': 'spin 2.2s linear infinite',
      },
      keyframes: {
        wiggle: {
          "0%, 100%": {transform: "rotate(-3deg)"},
          "50%": {transform: "rotate(3deg)"},
        },
        marquee: {
          "0%": {transform: "translateX(-100%)"},
          "100%": {transform: "translateX(100%)"},
        },
      },
    },
  },
  plugins: [
    forms,
    containerQueries,
  ],
};
